%define filever 2009-12-07

Name:           gnucap
Version:        20210107
Release:        %mkrel 1
Summary:        A general purpose circuit simulator (GNU Circuit Analysis Package)
License:        GPLv2+
Group:          Development/Other
Url:            http://www.gnucap.org/dokuwiki/doku.php?id=gnucap:start
#http://www.gnucap.org/devel/archive/%%{name}-%%{filever}.tar.gz
Source0:        http://git.savannah.gnu.org/cgit/gnucap.git/snapshot/%{name}-%{version}.tar.gz
Source1:        gnucap.1
Source2:        gnucap-modelgen.1
Patch0:         gnucap-fix-install-dirs-mageia.patch
Patch1:         gnucap-20210107-fix-64bit-paths.patch

BuildRequires:  pkgconfig(readline)

%description
GNUCAP is a general purpose circuit simulator. It performs nonlinear dc and
transient analyses, Fourier analysis, and ac analysis linearized at an
operating point. It is fully interactive and command driven. It can also be
run in batch mode or as a server. The output is produced as it simulates.
Spice compatible models for the MOSFET (level 1,2,3) and diode are included
in this release.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%ifarch x86_64 aarch64
%patch1 -p1
%endif

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 0644 %{S:1} %{S:2} %{buildroot}%{_mandir}/man1/

%files
%doc README
%license COPYING
%{_sysconfdir}/gnucap.conf
%{_bindir}/gnucap*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gnucap-default-plugins.so
%{_libdir}/libgnucap.so
%{_includedir}/%{name}/
%{_mandir}/man1/gnucap*.1*


%changelog
* Sun Apr 02 2023 daviddavid <daviddavid> 20210107-1.mga9
+ Revision: 1951215
- new version: 20210107

* Fri Apr 01 2022 umeabot <umeabot> 20091207-5.mga9
+ Revision: 1839731
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 20091207-4.mga8
+ Revision: 1542163
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 20091207-3.mga8
+ Revision: 1475954
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 20091207-2.mga7
+ Revision: 1297992
- Mageia 7 Mass Rebuild

* Wed Mar 28 2018 kekepower <kekepower> 20091207-1.mga7
+ Revision: 1213048
- Update to version 20091207

* Sun Oct 22 2017 daviddavid <daviddavid> 20060830-14.mga7
+ Revision: 1173017
- patch1: fix build with gcc6

* Sat Feb 06 2016 umeabot <umeabot> 20060830-13.mga6
+ Revision: 940196
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20060830-12.mga5
+ Revision: 749480
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20060830-11.mga5
+ Revision: 679815
- Mageia 5 Mass Rebuild

* Tue Mar 11 2014 akien <akien> 20060830-10.mga5
+ Revision: 602445
+ rebuild (emptylog)

* Mon Oct 21 2013 umeabot <umeabot> 20060830-9.mga4
+ Revision: 540012
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 colin <colin> 20060830-8.mga4
+ Revision: 493220
- Require full texlive during build for dehypht-x-2012-05-30.tex
- Rebuild against ncurse's libtinfo rather than libtermcap

* Sat Jan 12 2013 umeabot <umeabot> 20060830-7.mga3
+ Revision: 352347
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 06 2011 ennael <ennael> 20060830-6.mga1
+ Revision: 65265
- fix buildrequire
- imported package gnucap


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 20060830-6mdv2011.0
+ Revision: 619207
- the mass rebuild of 2010.0 packages

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 20060830-5mdv2010.0
+ Revision: 378342
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 20060830-1mdv2008.1
+ Revision: 126081
- kill re-definition of %%buildroot on Pixel's request
- import gnucap


* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org> 20060830-1mdv2007.0
- 20060830 version from geda

* Sat Apr 15 2006 Couriousous <couriousous@mandriva.org> 20060117-1mdk
- 20060117 version from geda

* Fri Mar 17 2006 Couriousous <couriousous@mandriva.org> 0.34-3mdk
- Fix buildrequires

* Fri Mar 17 2006 Couriousous <couriousous@mandriva.org> 0.34-2mdk
- Rebuild

* Sun Feb 06 2005 Couriousous <couriousous@mandrake.org> 0.34-1mdk
- First Mandrakelinux release

